// WSDY2.h
//
// Project: Dynamic Library Code EAN
// (c) 2006 Wolf Software. All rights reserved.
// http://www.pro-barcode.com

CGImageRef WSDY2createCode(float resolution);
void WSDY2resetToDefaults();
char *WSDY2bitpattern_ean13(char *dataToEncode);
char *WSDY2bitpattern_ean8(char *dataToEncode);
char *WSDY2bitpattern_addon(char *dataToEncode);
int WSDY2checksum_ean13(char *data);
int WSDY2checksum_ean8(char *data);
bool WSDY2unlock(char *user, char *key);

float WSDY2getModuleWidth();
void WSDY2setModuleWidth(float value);
float WSDY2getModuleHeight();
void WSDY2setModuleHeight(float value);
float WSDY2getMarginX();
void WSDY2setMarginX(float value);
float WSDY2getMarginY();
void WSDY2setMarginY(float value);
char *WSDY2getDataToEncode();
void WSDY2setDataToEncode(char *data);
char *WSDY2getAddon();
void WSDY2setAddon(char *data);
char *WSDY2getPriceText();
void WSDY2setPriceText(char *data);
bool WSDY2getSafeMode();
void WSDY2setSafeMode(bool value);

